
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>说说 browsersync / iVAN</title>

    <meta name="description" content="说说 browsersync 相信做过前端开发的人都知道,当你改变前端项目里的文件的时候,为了查看更改之后的效果需要手动的刷新浏览器,其实这个很浪费时间,那么这时候你可以选择用用browser-sync. browser-sync是一个浏览器同步工具,可以帮你解决在项目开发时,文件保存之后,浏览器同步刷新. 本篇文章主要讲讲在下面几种情况下如何使用browser-sync 命令行 Grunt Gulp npm run nodemon 安装 npm install -g browser-sync 命令行中使用 标准命令如下 b">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">说说 browsersync</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>相信做过前端开发的人都知道,当你改变前端项目里的文件的时候,为了查看更改之后的效果需要手动的刷新浏览器,其实这个很浪费时间,那么这时候你可以选择用用<code>browser-sync</code>.</p>
<hr>
<br /><code>browser-sync</code>是一个浏览器同步工具,可以帮你解决在项目开发时,文件保存之后,浏览器同步刷新.</p>
<p>本篇文章主要讲讲在下面几种情况下如何使用<code>browser-sync</code></p>
<ul>
<li>命令行</li>
<li>Grunt</li>
<li>Gulp</li>
<li>npm run</li>
<li>nodemon</li>
</ul>
<h3>安装</h3>
<blockquote><p>npm install -g browser-sync</p></blockquote>
<h3>命令行中使用</h3>
<p>标准命令如下</p>
<blockquote><p>browser-sync start [options]</p></blockquote>
<p>下面说说常用的选项</p>
<blockquote><p>--files</p></blockquote>
<p>后面带上相应监听的文件列表,格式例子如下:</p>
<ul>
<li>--files "js/<em>.js, css/</em>.css"</li>
<li>--files "js/base.js, css/base.css"</li>
</ul>
<blockquote><p>--server</p></blockquote>
<p>表示启动一个内置的web服务器</p>
<blockquote><p>--proxy</p></blockquote>
<p>这个一般用在有本地的<code>php</code>,<code>nginx</code>部署的web服务器下,例子如下:</p>
<ul>
<li>--proxy "localhost:3000"</li>
<li>--proxy "www.cloud.cn"</li>
</ul>
<p>最后来一个监听本地已有<code>www.c.cn</code>虚拟机的浏览器同步命令</p>
<blockquote><p>browser-sync start --proxy "www.c.cn" --files "js/<em>.js,css/</em>.css"</p></blockquote>
<h3>Grunt中使用</h3>
<p>想要在<code>Grunt</code>里使用则要添加它的插件,官方插件名称为<code>grunt-browser-sync</code>,</p>
<blockquote><p>npm install grunt-browser-sync --save-dev</p></blockquote>
<p>运行上面命令之后,就可以在<code>Gruntfile.js</code>里增加配置文件了,下面是它的配置格式</p>
<pre><code>browserSync: {
  dev: {
    bsFiles: {
      src: 'public/**/*.{js,css}'
    },
    options: {
      proxy: 'localhost:3000'
    }
  }
}
</code></pre>
<p>首先定义一个<code>dev</code>目标,然后里面有两固定参数<code>bsFiles</code>和<code>options</code>,前者定义监听的文件列表,这里的文件格式模式比较灵活;后者里面可以定义<code>proxy</code>的值.</p>
<p>然后加载插件任务模块</p>
<pre><code>    grunt.loadNpmTasks('grunt-browser-sync');
    grunt.registerTask('default', ["browserSync"]);
</code></pre>
<p>这个结合<code>watch</code>,<code>compass</code>模块还可以实现修改的时候合并<code>sass</code>到<code>css</code>,然后同步浏览器,更多的例子点击这里,<a href="http://www.browsersync.io/docs/grunt/" rel="external nofollow noreferrer">传送门</a></p>
<h3>Glup中使用</h3>
<p>跟<code>grunt</code>一样,先安装<code>glup</code>插件<code>browser-sync</code>,然后在<code>Glupfile.js</code>里配置任务</p>
<pre><code>var gulp = require('gulp');
var browserSync = require('browser-sync');

gulp.task('browser-sync', function () {
  browserSync({
    proxy: 'localhost:3000',
    files: ['public/**/*.{js,css}']
  });
});
</code></pre>
<p>选项里一般配置<code>proxy</code>或者<code>files</code>即可,关于<code>glup</code>的详情例子可以看这里, <a href="http://www.browsersync.io/docs/gulp/" rel="external nofollow noreferrer">传送门</a></p>
<h3>NPM中使用</h3>
<p>这里使用<code>npm run</code>命令运行,相关的配置放在<code>package.json</code>的<code>script</code>属性里,命令如下:</p>
<blockquote><p>browser-sync start --proxy "www.c.cn" --files "js/<em>.js,css/</em>.css"</p></blockquote>
<h3>nodemon中使用</h3>
<p><code>nodemon</code>是保证使用<code>nodejs</code>作为服务器的时候,代码有变动时可以自动的重启相关的<code>nodejs</code>服务,这里可以结合使用<code>browser-sync</code>来保证静态资源的同步化</p>
<p>先定义一个<code>app.js</code>.</p>
<pre><code>var express = require('express');
var browserSync = require('browser-sync');
var app = express();
var port = process.env.PORT || 3000;

app.listen(port, listening);

function listening () {
  browserSync({
    proxy: 'localhost:' + port,
    files: ['public/**/*.{js,css}']
  });
}
</code></pre>
<p>然后运行下面的命令</p>
<blockquote><p>nodemon app.js</p></blockquote>
<p>这样即可以保证服务器代码的变动自动重启,也能保证静态资源的浏览器同步化.</p>
<h3>总结</h3>
<p>远离低效率,就用<code>browser-sync</code>!!!</p>
<p>相关参考资料</p>
<ul>
<li><a href="http://www.browsersync.io/" rel="external nofollow noreferrer">BrowserSync 官网</a></li>
<li></ul>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-21 06:51:45</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/nodejs/" title="nodejs">nodejs</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>说说 browsersync的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6ZyXM.html" rel="bookmark">Use webpack together with browser-sync</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Here are some tips about using webpack and Browsersync to improve working speed. Browsersync Browsersync makes your browser testing workflow faster by synchronising URLs, interactions and code changes across multiple devices. npm install browser-sync			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4er4Nb.html" rel="bookmark">BrowserSync &mdash;&mdash; 多设备浏览器同步测试工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当你开发响应式网站时,需要做大量的测试和调整工作.而 BrowserSync 可以让你的这个开发和测试过程更加快速,通过在多个设备上同步 URL.交互和代码变动来实现快速的同时多设备测试.BrowserSync 基于 Node.js 开发. 安装和使用过程: npm install -g browser-sync #安装 browser-sync start --server --files &quot;css/*.css&quot; #启动静态网站 browser-sync start --proxy			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrKjQ6p.html" rel="bookmark">谷歌浏览器登陆无法同步数解决办法之一</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				把以下代码加入  hosts 即可. C:WINDOWSsystem32driversetchosts 用记事本打开 #UPDATE:12-08-01 23:14 127.0.0.1 localhost #SmartHosts START #Google Services START # google.com 203.208.46.161 0.docs.google.com 203.208.46.161 0.drive.google.com 203.208.46.161 1.docs.googl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg36kBM.html" rel="bookmark">你的团队需要一套工具指南</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在某个公众号里看过这样一句话,&quot;一流的公司只有一个共同点--他们都有好的产品.&quot; 最近又了解了一些管理工具和开发工具,突然发现,其实一流的公司还有另一个共同点,他们往往都拥有一套适合自己的工具,包括但不限于管理工具.开发工具.运维工具-- &quot;培训团队使用一些工具从而节省时间和人力成本,是最成功的时间投资之一.&quot; 或许使用工具总是需要一些学习成本,但从长远来看,是一笔很划算的买卖. 我们中的一部分人在工作和生活中总在尝试使用一些有趣的工具来梳理思想和知识,比如 Eve			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvG8R9p.html" rel="bookmark">国内大公司的开源项目一览表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				奇虎360 https://github.com/Qihoo360 1.MySQL中间层 Atlas Atlas是由 Qihoo 360,  Web平台部基础架构团队开发维护的一个基于MySQL协议的数据中间层项目.它在MySQL官方推出的MySQL-Proxy 0.8.2版本的基础上,修改了大量bug,添加了很多功能特性.目前该项目在360公司内部得到了广泛应用,很多MySQL业务已经接入了Atlas平台,每天承载的读写请求数达几十亿条. 主要功能:* 读写分离* 从库负载均衡* IP过滤*			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mq8xeRb.html" rel="bookmark">【区块链】Truffle 部署 编译 测试 智能合约 的 完整实践操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Truffle 部署 编译 测试 智能合约 的 完整实践操作 目标 搭建开发环境 创建一个Truffle项目 编写智能合约 编译转移智能合约 测试智能合约 创建用户界面连接智能合约 在浏览器中访问Dapp 搭建开发环境 Node.js v6+ LTS and npm (comes with Node) Git 这里配置脚本略过.... xiaoyu@LIXIAOYUdeMacBook-Pro.com node -v v8.5.0 xiaoyu@LIXIAOYUdeMacBook-Pro.com			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9E5EgM.html" rel="bookmark">gulp的学习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Gulp Tutorial Gulp: The streaming build system gulp是前端开发过程中一种基于流的代码构建工具,是自动化项目的构建利器: 她不仅能对网站资源进行优化,而且在开发过程中很多重复的任务能够使用正确的工具自动完成: 使用她,不仅可以很愉快的编写代码,而且大大提高我们的工作效率. 项目构建是指项目上线之前对项目源代码进行一系列处理,使其以最佳的形式运行于线上服务器. 常见处理任包括以下几方面: 模块化开发可以实现功能的复用并解决模块间的依赖关系,但带来好处			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/badPrXz.html" rel="bookmark">【QQ技术】群文件报毒怎样下载？~ 变相绕过QQ复杂检验过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				刚才又人问我,要是群文件被鉴定为病毒那怎么下载? 我简单说一下吧: 其实qq客户端过滤比较严的,而web段却还是老一套,很多人说出现这个情况其实是腾讯已经把他库里面的文件删了,其实不然   如果源删了,那么web段也就不可能下载到了,咱们从这方面绕过它的验证(QQ群空间 http://qun.qzone.qq.com/group) 看图: 收工   扩展: 上传绕过:其实上传绕过太简单了,比如设置一个压缩包密码,比如压缩包里面套压缩包等等的,都是可以绕过的   赠送: 外网突破-打开就能用 ht			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOllXmb.html" rel="bookmark">让 Webpack 来帮你打包吧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是让 Webpack 来帮你打包吧, 你可能已经在前端社区听过这个称为 Webpack 的新玩意儿了.有人将它当作像 Gulp 的构建工具,也有人把它作为一个类似 Browserify 的模块管理器,如果你没有深入研究的话,你可能会因此感到困惑.但另一方面,如果你已经了解过它了,你大概还是会感到疑惑,因为官网表示 Webpack 身兼两职. 实话实说,刚开始时,围绕 &quot;什么是 Webpack&quot; 的模棱两可的回答让我很挫败.毕竟我已经建立起一套构建系统了,并且这套系统运行良好.并			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrNj6M.html" rel="bookmark" class="title">入门级：教你用flash画画</a>
					<div>
						5.1.1 一个典型的例子 头 头部动画是我们最常遇到的课题,这里包括各种表情.讲话等等.一般来讲,头部都是作为单独一个s来运用的,即:做出整个影片中需要的所有头部,再和另外制作的身体联结.组合成完整 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apX48yp.html" rel="bookmark" class="title">如何从ACCESS数据库中读取图形&lpar;续&rpar;</a>
					<div>
						access|数据|数据库|图形 注意的是你也可以从一个文件中新建一个位图对象,但使用这样的方式保存在数据库中的图形格式是浏览器不能够识别的.当你往数据库中保存图象时,你应该知道你需要使用什么格式来保 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A2ZWp.html" rel="bookmark" class="title">C&num;中TreeView组件使用方法初步</a>
					<div>
						TreeView组件是由多个类来定义的,TreeView组件是由命名空间&quot;System.Windows.Forms&quot;中的&quot;TreeView&quot;类来定义的,而其中的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOnD5M.html" rel="bookmark" class="title">win7系统开机提示&OpenCurlyDoubleQuote;准备配置Windows请勿关机&rdquo;怎么办？</a>
					<div>
						win7系统开机提示&quot;准备配置Windows请勿关机&quot;怎么办?          准备工作:在进行下面操作前可以先试下 最后一次正确的配置看能不能进系统. 1.首先重新启动电脑,大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RedKp.html" rel="bookmark" class="title">PS绘制一个简洁现代的web按钮</a>
					<div>
						本教程在Photoshop中用简洁快速的方法制作了一个灵活的.流行的web按钮,并让大家对PS中的颜色,渐变色,图案等基本操作进行了更深层次地掌握.希望对设计者们有所帮助. 预览 第1步:创建Phot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNDyZb.html" rel="bookmark" class="title">Win8屏幕键盘怎么打开</a>
					<div>
						  我们在日常使用电脑中常会有出现键盘某一个键,不能使用的情况,马上去买个新键盘是肯定不可能的了,那么这时我们应该如何处理呢?通常这个时候我们会想到屏幕键盘,没错,使用屏幕键盘可以帮我们很好的解决此类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8AGkb.html" rel="bookmark" class="title">关闭uac的方法，uac怎么关闭？</a>
					<div>
						Vista的UAC功能,虽然可以增强系统的安全性,不过确实让很多人感到难受.有位同志在这个周末钻研出不重启就关掉UAC功能,在此分享. 这个方法主要是修改一下注册表,大家慢慢看试一下 首先,自然要打开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXagXp.html" rel="bookmark" class="title">侧吹散热风扇有什么用处</a>
					<div>
						  有的CPU带有侧吹散热风扇,把它安装在普通的立式机箱中,应让它将CPU发出的热量导向机箱风扇,也就是机箱后部的风扇,然后由机箱风扇将热空气直接抽到机箱外部,这样安装的散热效果比较明显. 在使用中, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJlolp.html" rel="bookmark" class="title">NPOI读取Excel官方demo</a>
					<div>
						关键代码: 读: HSSFWorkbook hssfworkbook; void InitializeWorkbook(string path) { //read the template via F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8rRvp.html" rel="bookmark" class="title">雅虎将推出搜索记事本工具SearchPad</a>
					<div>
						北京时间7月7日早间消息,据国外媒体报道,知情人士透露,雅虎将于美国太平洋时间7月7日晚9点(北京时间7月8日中午12点)面向大众发布搜索记事本工具Search Pad. 雅虎最早于今年2月开始测试S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLm7gLz.html" rel="bookmark" class="title">Snap，能否成为下一个广告巨头？</a>
					<div>
						Snapchat的亮黄色已经成为戛纳创意节上最引人眼球的元素之一.它不再只是一家互联网公司,也是一个广告玩家. 数据刚好说明了这一点. 1.496亿,这是Snap上市后第一份财报公布的营收数据,季度营 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWPr4p.html" rel="bookmark" class="title">4个整数按小到大的顺序排序&lpar;java&rpar;</a>
					<div>
						问题描述 用if条件结构循环怎样写更简单! 解决方案 解决方案二:java.util.Arrays.sort()一句话搞定的东西这么折腾干嘛解决方案三:学生作业吧解决方案四:冒泡吧需要2个for解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqmm3b.html" rel="bookmark" class="title">《iOS 8应用开发入门经典（第6版）》&mdash;&mdash;第2章，第2&period;1节使用Xcode</a>
					<div>
						2.1 使用Xcode iOS 8应用开发入门经典(第6版) 当您需要编写代码(实际上是输入语句让iOS设备神奇地工作)时,应考虑使用Xcode.Xcode是一种集成开发环境(IDE),让您能够管理应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE46E9z.html" rel="bookmark" class="title">livemedia-live555 vs2010编译 liveMedia 报错</a>
					<div>
						问题描述 live555 vs2010编译 liveMedia 报错 d:live555mylive555livemediagenericmediaserver.cpp(65): error C206 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKKADb.html" rel="bookmark" class="title">伊朗悄然取消Twitter和YouTube网站监管限制</a>
					<div>
						1月20日消息,据外电报道,长期以来,伊朗一直对民众执行互联网禁令和限制,这也导致伊朗网民无法登陆Twitter.YouTube或是Facebook等社交网站或视频网站.不过伊朗网民日前惊异的发现,他 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK1DLb.html" rel="bookmark" class="title">两阶段提交协议的异常处理</a>
					<div>
						两阶段提交的协议大家都比较熟悉了,解释一下每个阶段的异常处理.首先,我们需要持久化协议过程中的状态,这样如果server宕机,那么恢复的时候还能通过日志知道宕机前处于那个阶段.同时,所有对数据的修改都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXq505z.html" rel="bookmark" class="title">JS对SEO的影响 你不得不知</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 想要了解JS对SEO的影响,你必须 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0rojp.html" rel="bookmark" class="title">如何将listview的sorting属性在true和false之间切换？</a>
					<div>
						问题描述 如题 解决方案 解决方案二:listView1.Sorting=!listView1.Sorting;					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RPjRz.html" rel="bookmark" class="title">手机开发-OP手机在设置里面设置啦无法锁屏  是怎么回事  怎么恢复</a>
					<div>
						问题描述 OP手机在设置里面设置啦无法锁屏 是怎么回事 怎么恢复 手机设置了之后无法锁屏 怎么解决啊 求大神帮忙 怎么回事啊 解决方案 手机坏了吧,换一个看看呢 解决方案二: 手机坏了吧,换一个看看呢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22jkkb.html" rel="bookmark" class="title">微软Windows 9系统开始菜单遭曝照</a>
					<div>
						[科技讯]7月22日消息,国外网站Myce.com周一曝光了微软下一代Windows操作系统开始菜单的两张截图,这两张截图均来自于代号为&quot;Threshold&quot;的开发版本. 据了解, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boL6rDM.html" rel="bookmark" class="title">详解O2O模式，停止对O2O的误读</a>
					<div>
						O2O这一概念是在2011年8月份由Alex Rampell 提出来的,在11月份被我引进国内,瞬间就成了一个炙手可热的名词.而在这时候,就不断的涌现许多企业们标榜自家产品是O2O 模式,不过,其中大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5K2Lz.html" rel="bookmark" class="title">Laravel内置组件实现注册登录的例子</a>
					<div>
						1.引言 Laravel 中实现用户登录认证非常简单,因为Laravel基本上为你提供登录认证所需的一切组件,你只要拿过来用就可以了.在Laravel 5.1以前,新安装的Laravel内置了登录&a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8Yw0p.html" rel="bookmark" class="title">百度提升用户体验的最新动作总结</a>
					<div>
						随着2010年5月份谷歌退出中国市场后,百度最近两年可谓是顺风顺水,失去了谷歌这个强大的竞争对手,百度的市场占有率得到大幅度提高,截至2012年 9月,百度市场占有率已经高达72%.如此利好的数据,百 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW7y4z.html" rel="bookmark" class="title">XML只有一个根元素，写入HTML输出流后，客户端读取提示有多个根元素，搞了一天，度娘也没找到有效解决办法，求大神救命啊（见代码）</a>
					<div>
						问题描述 //Default.aspx的代码如下,xmlprotectedvoidPage_Load(objectsender,EventArgse){//生成xmlMemoryStreamms=ne ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYxnAb.html" rel="bookmark" class="title">传国内最大Hadoop集群阿里云梯即将下线</a>
					<div>
						据阿里巴巴员工罗李在微博上透露:阿里云梯,这个国内最大Hadoop集群,下线已经进入倒计时.此消息一出,引发业界一片哗然. 罗李,花名鬼厉,是阿里&quot;云梯&quot;集群的元老级创立者,也是阿 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgP4n5p.html" rel="bookmark" class="title">网友质疑&OpenCurlyDoubleQuote;听证专业户&rdquo;当事人将状告发帖人</a>
					<div>
						去年4月,成都&quot;中心城区2010年至2012年新增客运出租汽车特许经营权出让方案&quot;听证会现场,胡丽天(右一)发言. IC 图 胡丽天称报名40多次抽中23次 成都另一&quot;专 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA6Xgep.html" rel="bookmark" class="title">从西少爷内讧说起&colon;品牌非一日之功 切莫操之过急</a>
					<div>
						一篇&lt;西少爷赖账,众筹的钱该怎么讨回来?&gt;的文章火速传遍微博.微信朋友圈以及各大媒体网站.文章的作者,也即是西少爷原创始人之一宋鑫,将矛头指向了西少爷CEO孟兵,将两派的纷争搬上了公众视野 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Y9Dnp.html" rel="bookmark" class="title">图片-我用的Bootstrap 上传插件File Input我数据库已经保存成功了，为什么前台还报这种错</a>
					<div>
						问题描述 我用的Bootstrap 上传插件File Input我数据库已经保存成功了,为什么前台还报这种错 解决方案 数据库有数据只能说明你的数据成功提交到了数据库,并不说明能被读取.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLB4K0b.html" rel="bookmark" class="title">javascript 新闻滚动效果</a>
					<div>
						提示:您可以先修改部分代码再运行 javascript 新闻滚动效果 &lt;!doctype html public &quot;-//w3c//dtd xhtml 1.0 strict//en&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqyjBp.html" rel="bookmark" class="title">过去一年Pinterest用户停留时长增10倍</a>
					<div>
						新浪科技讯 北京时间12月10日早间消息,美国市场研究机构尼尔森的2012年社交媒体报告显示,2011年7月至2012年7月的一年间,Facebook仍然是美国访问量最大的社交网站,但美国用户在Pin ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
